=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadicontact5\")
add_subdirectory(contact-editor)
add_subdirectory(akonadi-contacts)
