## akonadi-contacts 17.04.3

=== debian/changelog ===
akonadi-contacts (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale
  * Update symbols files.
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:31:40 +0100

akonadi-contacts (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Initial Packaging for akonadi-contacts which has been split from kdepimlibs

  [ Rik Mills ]
  * Add build depends from cmake
  * Add data package & breaks/replaces on kdepimlibs-data
  * Housekeeping changes - adapting rules, VCS, watchfile to new package
  * New build depend on qtpositioning5-dev
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * Update symbols from build logs
  * New upstream release (16.12.1)

  [ Simon Quigley ]
  * Add the optional KF5Prison package library as a build dep
  * Sump Standards-version to 3.9.8, no changes needed

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Update copyright file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:09 +0100
