=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadimime-dev (>= 4:17.04.3~),
               libkf5calendarcore-dev (>= 4:17.04.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5prison-dev (>= 5.31.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts

Package: libkf5akonadicontact5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicontact-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi contacts access library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5akonadicontact5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:17.04.3~),
         libkf5contacts-dev (>= 4:17.04.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadicontact-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepimlibs-data (<< 4:16.08~),
        libakonadi-kf5 (<< 4:16.04.3~),
        libkf5akonadicontact5 (<< 4:16.04.3~),
        libkf5akonadisocialutils5 (<< 4:16.04.3~),
        libkf5akonadixml5 (<< 4:16.04.3~),
        ${kde-l10n:all}
Replaces: kdepimlibs-data (<< 4:16.08~),
          libakonadi-kf5 (<< 4:16.04.3~),
          libkf5akonadicontact5 (<< 4:16.04.3~),
          libkf5akonadisocialutils5 (<< 4:16.04.3~),
          libkf5akonadixml5 (<< 4:16.04.3~),
          ${kde-l10n:all}
Description: akonadi-contacts - data files
 This package contains data files for the akonadi-contacts libraries.
