## akonadi-contacts 17.08.3

=== debian/changelog ===
akonadi-contacts (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * mark libkf5contacteditor-dev as Multi-Arch: same

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch section of akonadi-contacts-data from libs to kde.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 09:20:22 +0100

akonadi-contacts (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Remove not needed Build-Deps.
  * Update patch hunks
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:48:50 +0100

akonadi-contacts (4:17.08.0-2) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Drop empty package
  * Update uploaders list as requested by MIA team

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Update the build dependencies:
    - remove the alternative libqt5webchannel-dev & libqt5webengine5-dev, use
      their existing counterparts (libqt5webchannel5-dev & qtwebengine5-dev)
    - remove the unused kdoctools-dev, and kio-dev
  * Remove the wrong Multi-Arch: foreign from libkf5akonadicontact-dev, and
    libkf5contacteditor-dev. (Closes: #872139)
  * Make akonadi-contact buildable also without QtWebEngine:
    - build the code using it conditionally; patch optional-qtwebengine.diff
    - restrict the qtwebengine5-dev on the architectures where it is
      available: amd64 arm64 armhf i386 mipsel.
  * Remove the unused ${shlibs:Depends} substvar from akonadi-contacts-data,
    and libkf5akonadicontact-dev.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Dec 2017 21:43:57 +0100

akonadi-contacts (4:17.08.0-1) experimental; urgency=medium

  * New revision
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Use the Debian name as the first name, otherwise it's unbuildable in Debian
  * Bump group breaks (17.08)
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:01 +0200

akonadi-contacts (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:41 +0000

akonadi-contacts (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:16 +0000

akonadi-contacts (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:28 +0000

akonadi-contacts (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:08:14 +0000

akonadi-contacts (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:22 +0000

akonadi-contacts (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:45:39 +0000

akonadi-contacts (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:54:42 +0000

akonadi-contacts (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:24 +0000

akonadi-contacts (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:52 +0000

akonadi-contacts (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:12 +0000

akonadi-contacts (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:11 +0000

akonadi-contacts (4:16.08.1-1~1.gbp8b6dd4) UNRELEASED; urgency=medium

  ** SNAPSHOT build @8b6dd44104a0f78e13b7822385048bcffd13aa3a **

  [ Jonathan Riddell ]
  * Initial packaging based on kdepimlibs

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Thu, 08 Sep 2016 21:07:32 +0200

akonadi-contacts (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:12 +0000

akonadi-contacts (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:08 +0000
