## akonadi-contacts 17.12.2

=== debian/changelog ===
akonadi-contacts (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * remove not needed build-dep qtwebengine5-dev and according patches
  * contacteditor has no grantleetheme anymore
  * Enable build tests.
  * Add symbols files.
  * Add new public classes in dev package.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:13:07 +0100
