=== debian/control ===
--- 
+++ 
@@ -9,29 +9,29 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 10),
-               extra-cmake-modules (>= 5.35.0~),
-               libgrantlee5-dev (>= 5.1~),
-               libkf5akonadi-dev (>= 4:17.08.3~),
-               libkf5akonadimime-dev (>= 4:17.08.3~),
-               libkf5codecs-dev (>= 5.35.0~),
-               libkf5completion-dev (>= 5.35.0~),
-               libkf5contacts-dev (>= 4:17.08.3~),
-               libkf5dbusaddons-dev (>= 5.35.0~),
-               libkf5i18n-dev (>= 5.35.0~),
-               libkf5iconthemes-dev (>= 5.35.0~),
-               libkf5kio-dev (>= 5.35.0~),
-               libkf5mime-dev (>= 17.08.3~),
-               libkf5prison-dev (>= 5.35.0~),
-               libkf5textwidgets-dev (>= 5.35.0~),
+               debhelper (>= 11),
+               extra-cmake-modules (>= 5.39.0~),
+               libkf5akonadi-dev (>= 4:17.12.2~),
+               libkf5akonadimime-dev (>= 4:17.12.2~),
+               libkf5codecs-dev (>= 5.39.0~),
+               libkf5completion-dev (>= 5.39.0~),
+               libkf5contacts-dev (>= 4:17.12.2~),
+               libkf5dbusaddons-dev (>= 5.39.0~),
+               libkf5i18n-dev (>= 5.39.0~),
+               libkf5iconthemes-dev (>= 5.39.0~),
+               libkf5kio-dev (>= 5.39.0~),
+               libkf5mime-dev (>= 17.12.2~),
+               libkf5prison-dev (>= 5.39.0~),
+               libkf5textwidgets-dev (>= 5.39.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.7.0~),
-               qtwebengine5-dev (>= 5.7.0~) [amd64 arm64 armhf i386 mipsel],
+               qtbase5-dev (>= 5.8.0~),
+               xauth,
+               xvfb,
 Standards-Version: 4.1.3
 Homepage: http://pim.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-contacts.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-contacts.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts.git
 
 Package: akonadi-contacts-data
 Section: kde
@@ -66,10 +66,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.08.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.2~),
          libkf5akonadicontact5 (= ${binary:Version}),
          libkf5contacteditor-dev,
-         libkf5contacts-dev (>= 4:17.08.3~),
+         libkf5contacts-dev (>= 4:17.12.2~),
          ${misc:Depends},
 Description: Akonadi contacts access library - development files
  This library provides contacts manipulation helpers using the
