## akonadi-contacts 17.12.3

=== debian/changelog ===
akonadi-contacts (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:35 +0000

akonadi-contacts (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking -dev packages as Multi-Arch: same
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:11 +0000

akonadi-contacts (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * New packages for separate contact editor

  [ Rik Mills ]
  * Add symbols file for contact editor lib
  * Bump soname with debianabimanager due to binary incompatible changes
    - libkf5akonadicontact5 -> libkf5akonadicontact5abi1
  * d/rules: Remove obsolete architecture specific section to silence
    lintian.
  * New upstream release (17.08.3)
  * Update symbols from buildlogs for all architectures

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:00 +0000

akonadi-contacts (4:17.07.80-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New packages for separate contact editor

  [ Rik Mills ]
  * Add symbols file for contact editor lib
  * Bump soname with debianabimanager due to binary incompatible changes
    - libkf5akonadicontact5 -> libkf5akonadicontact5abi1
  * Remove obsoleted QtWebEngine and grantlee build deps, and update
    install files accordingly
  * Install extra development files for contacteditor
  * Update symbols from build log

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 25 Jun 2017 19:50:27 +0100
